Index: palm/trunk/TUTORIALS/cases/flow_around_cube_noncyclic/INPUT/flow_around_cube_noncyclic_p3d
===================================================================
--- palm/trunk/TUTORIALS/cases/flow_around_cube_noncyclic/INPUT/flow_around_cube_noncyclic_p3d	(revision 4098)
+++ palm/trunk/TUTORIALS/cases/flow_around_cube_noncyclic/INPUT/flow_around_cube_noncyclic_p3d	(revision 4222)
@@ -1,83 +1,90 @@
+!-------------------------------------------------------------------------------
+!-- INITIALIZATION PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/inipar
+!-------------------------------------------------------------------------------
 &initialization_parameters
-   !-- grid setup
-      nx = 79,
-      ny = 39,
-      nz = 40,
+!
+!-- grid parameters
+!-------------------------------------------------------------------------------
+    nx                         = 79, ! Number of gridboxes in x-direction (nx+1)
+    ny                         = 39, ! Number of gridboxes in y-direction (ny+1)
+    nz                         = 40, ! Number of gridboxes in z-direction (nz)
 
-      dx = 2.0,
-      dy = 2.0,
-      dz = 2.0,
+    dx                         = 2.0, ! Size of single gridbox in x-direction
+    dy                         = 2.0, ! Size of single gridbox in y-direction
+    dz                         = 2.0, ! Size of single gridbox in z-direction
+!
+!-- initialization
+!-------------------------------------------------------------------------------
+    initializing_actions       = 'cyclic_fill', ! initial conditions
 
-   !-- pressure solver
-      psolver   = 'multigrid',                ! required for non-cyclic bc
-      mg_cycles = 2,                          ! needs to be checked
+    ug_surface                 = 1.0, ! u-comp of geostrophic wind at surface
+    vg_surface                 = 0.0, ! v-comp of geostrophic wind at surface
 
-   !-- init-action
-      initializing_actions = 'cyclic_fill',
+    neutral                    = .T., ! strictly neutral flow
+!
+!-- physics
+!-------------------------------------------------------------------------------
+    omega                      = 0.0, ! no Coriolis force
+!
+!-- boundary conditions
+!-------------------------------------------------------------------------------
+    bc_uv_t                    = 'neumann', ! free-slip boundary condition
+    bc_lr                      = 'dirichlet/radiation',  ! non-cyclic 
+                                                         ! left/right boundary
+    turbulent_inflow           = .TRUE., ! use turbulent inflow method
+    recycling_width            = 80.0,   ! Distance between recycling plane and
+                                         ! inflow boundary
+    inflow_damping_height      = 80.0, ! height limitation for turbulent inflow
+!
+!-- numerics
+!-------------------------------------------------------------------------------
+    psolver                    = 'multigrid', ! set pressure solver
+    mg_cycles                  = 2,  ! set number of cycles for multigrid solver
+!
+!-- topography
+!-------------------------------------------------------------------------------
+    topography                 = 'read_from_file',  ! use input file
+                                                    ! to set topography
 
-   !-- advection schemes
-      momentum_advec = 'ws-scheme',           ! default advection scheme
-      scalar_advec   = 'ws-scheme',
+/ ! end of initialization parameter namelist
 
-   !-- wind speed setup
-      ug_surface = 1.0,
-      vg_surface = 0.0,
+!-------------------------------------------------------------------------------
+!-- RUNTIME PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/d3par
+!-------------------------------------------------------------------------------
+&runtime_parameters
+!
+!-- run steering
+!-------------------------------------------------------------------------------
+    end_time                   = 3600.0,  ! simulation time of the 3D model
+    create_disturbances        = .FALSE., ! randomly perturbate horiz. velocity
+!
+!-- data output
+!-------------------------------------------------------------------------------
+    dt_run_control             =   60.0, ! output interval for run control
+    dt_data_output             = 1800.0, ! output interval for general data
+    dt_dots                    =   60.0, ! output interval for time-series data
+    dt_dopr                    = 1800.0, ! output interval for profile data
 
-   !-- temperature setup
-      neutral = .T.,                          ! strictly neutral flow
+    data_output                = 'u', 'u_av',
+                                 'v', 'v_av',
+                                 'w', 'w_av',  ! 2d and/ 
+                                               ! or 3d 
+                                               ! output
 
-   !-- boundary conditions
-      bc_uv_t = 'neumann',                    ! free-slip boundary condition
-      bc_lr   = 'dirichlet/radiation',        ! non-cyclic left/right boundary
+    data_output_pr             = '#u', 'u*2', 'wu', 'w*u*', 'w"u"',
+                                 '#v', 'v*2', 'wv', 'w*v*', 'w"v"',
+                                 'w', 'w*2',
+                                 'e', 'e*',
+                                 '#km',
+                                 '#l',      ! Profile 
+                                            ! output
 
-      roughness_length = 0.1,                 ! applies to all surfaces locally
+    averaging_interval         = 1800.0, ! averaging interval general data
+    dt_averaging_input         =    6.0, ! averaging general data sampling rate
 
-   !-- special methods
-      turbulent_inflow      = .TRUE.,
-      recycling_width       = 80.0,
-      inflow_damping_height = 80.0, 
+    averaging_interval_pr      = 1800.0, ! averaging interval profile data
+    dt_averaging_input_pr      =    6.0, ! averaging profile data sampling rate
 
-   !-- special setups
-      omega = 0.0,                            ! no Coriolis force
-
-      topography = 'read_from_file',
-      topography_grid_convention = 'cell_center',   ! default
-   /
-
-
-&runtime_parameters
-   !-- simulation time
-      end_time                = 3600.0,
-      termination_time_needed =  900.0,
-
-   !-- others
-
-   !-- global output settings
-      skip_time_data_output =    0.0,
-      dt_data_output        = 1800.0,
-
-      averaging_interval    = 1800.0,
-      dt_averaging_input    =    6.0,
-
-   !-- time series / run control
-      dt_run_control        =  60.0,
-      dt_dots               =  60.0,
-
-   !-- profiles
-      skip_time_dopr        =    0.0,
-      dt_dopr               = 1800.0,
-      averaging_interval_pr = 1800.0,
-      dt_averaging_input_pr =    6.0,
-
-      data_output_pr = '#u', 'u*2', 'wu', 'w*u*', 'w"u"',
-                       '#v', 'v*2', 'wv', 'w*v*', 'w"v"',
-                       'w', 'w*2',
-                       'e', 'e*',
-                       '#km',
-                       '#l',
-
-   !-- output variables
-      data_output = 'u', 'u_av',
-                    'v', 'v_av',
-                    'w', 'w_av',
-   /
+/ ! end of runtime parameter namelist
